package com.fjhx.mail.service.message;

import com.alibaba.fastjson2.JSONObject;
import com.fjhx.mail.entity.dto.GetMessagePageDto;
import com.fjhx.mail.entity.message.dto.DeleteBatchMailDto;
import com.fjhx.mail.entity.message.dto.DeleteMailDto;
import com.fjhx.mail.entity.message.dto.SendDto;
import com.fjhx.mail.entity.message.dto.SetSeenDto;
import com.ruoyi.common.core.domain.entity.SysUser;

import java.util.List;

public interface InfoService {

    /**
     * 获取员工邮箱
     */
    List<SysUser> getUserList();

    /**
     * 发送邮件
     */
    String sendMail(SendDto dto);

    /**
     * 删除邮件
     */
    void deleteMail(DeleteMailDto dto);

    /**
     * 获取存在邮箱的用户
     */
    List<SysUser> getExistMailUserList();

    /**
     * 批量删除邮件
     */
    void deleteBatchMail(DeleteBatchMailDto dto);

    /**
     * 设置已读
     */
    JSONObject setSeen(SetSeenDto dto);

    /**
     * 取消已读
     */
    JSONObject cancelSeen(SetSeenDto dto);

    Object getMessagePage(GetMessagePageDto dto);

}
